Respond To Human Request
curl --request POST \
--url https://api.duvo.ai/v2/runs/{run_id}/human-requests/{request_id}/respond \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": {},
"approved": true
}
'import requests
url = "https://api.duvo.ai/v2/runs/{run_id}/human-requests/{request_id}/respond"
payload = {
"answers": {},
"approved": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({answers: {}, approved: true})
};
fetch('https://api.duvo.ai/v2/runs/{run_id}/human-requests/{request_id}/respond', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"human_request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"response": "<string>",
"responded_at": "<string>",
"created_at": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Runs
Respond To Human Request
Respond to a human-in-the-loop request. Use 'approved' (true/false) for approval-type requests, or 'answers' ({question: answer}) for question-type requests. Only works when the run is in 'waiting' status.
POST
/
v2
/
runs
/
{run_id}
/
human-requests
/
{request_id}
/
respond
Respond To Human Request
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The run's unique identifier
The human request's unique identifier
Body
application/json
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I